<html>
<head>
<title>OGRE: Ogre::EmitterCommands Namespace Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespaces.html"><span>Namespace List</span></a></li>
    <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="namespaceOgre_1_1EmitterCommands.html">EmitterCommands</a></div>
<h1>Ogre::EmitterCommands Namespace Reference</h1>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html">CmdAngle</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html">CmdColour</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColour.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html">CmdColourRangeStart</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html">CmdColourRangeEnd</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html">CmdDirection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html">CmdEmissionRate</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html">CmdVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html">CmdMinVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html">CmdMaxVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html">CmdTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html">CmdMinTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html">CmdMaxTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html">CmdPosition</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">CmdDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html">CmdMinDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html">CmdMaxDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html">CmdRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html">CmdMinRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html">CmdMaxRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html">CmdName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdName.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html">CmdEmittedEmitter</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#_details">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:21 2008
</p>
</body>
</html>
